findings
3 endpoints
get /projects/{id}/findings
List a project's agent findings
Requires authentication
Returns every durable finding the agents accumulated for the project, ordered by key. Requires project access.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| id | path | integer | yes | Project id |
Responses
- 200 OK · object
- 401 Unauthorized · apimodel.ErrorEnvelope
- 403 Forbidden · apimodel.ErrorEnvelope
put /projects/{id}/findings/{key}
Upsert a project finding
Requires authentication
Creates or replaces a finding by key (idempotent). Requires project admin.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| id | path | integer | yes | Project id |
| key | path | string | yes | Finding key |
Request body: object
No fields documented.
Responses
- 200 OK · object
- 400 Bad Request · apimodel.ErrorEnvelope
- 401 Unauthorized · apimodel.ErrorEnvelope
- 403 Forbidden · apimodel.ErrorEnvelope
delete /projects/{id}/findings/{key}
Delete a project finding
Requires authentication
Removes a finding by key. Requires project admin.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| id | path | integer | yes | Project id |
| key | path | string | yes | Finding key |
Responses
- 200 OK · object
- 400 Bad Request · apimodel.ErrorEnvelope
- 401 Unauthorized · apimodel.ErrorEnvelope
- 403 Forbidden · apimodel.ErrorEnvelope